--- ./yum/__init__.py_orig	2017-09-07 04:32:59 -0500
+++ ./yum/__init__.py	2017-09-07 04:34:33 -0500
@@ -429,6 +429,14 @@
 
                 thisrepo.base_persistdir = self.conf._repos_persistdir
 
+            # do the wildcard ones first
+            for i in self.repo_setopts:
+                if fnmatch.fnmatch(thisrepo.id, i):
+                    for opt in self.repo_setopts[i].items:
+                        if not hasattr(thisrepo, opt):
+                            msg = "Repo %s did not have a %s attr. before setopt"
+                            self.logger.warning(msg % (thisrepo.id, opt))
+                        setattr(thisrepo, opt, getattr(self.repo_setopts[i], opt))
 
             if thisrepo.id in self.repo_setopts:
                 for opt in self.repo_setopts[thisrepo.id].items:
